<div class="container">
  <div class="sortOrder">
    <mat-form-field>
      <mat-label>Sortierung</mat-label>
      <mat-select [(value)]="sortOrder" (valueChange)="loadData()">
        @for (so of sos; track so) {
          <mat-option [value]="so.value">{{ so.viewValue }}</mat-option>
        }
      </mat-select>
    </mat-form-field>
  </div>
  <div class="paginator">
    <mat-paginator
      #paginator
      (page)="handlePageEvent($event)"
      [length]="length"
      [pageSize]="pageSize"
      [disabled]="disabled"
      [showFirstLastButtons]="showFirstLastButtons"
      [pageSizeOptions]="showPageSizeOptions ? pageSizeOptions : []"
      [hidePageSize]="hidePageSize"
      [pageIndex]="pageIndex"
      aria-label="Select page">
    </mat-paginator>
  </div>
  <div class="action-btn">
    <button mat-flat-button color="create" (click)="openNewMeasurementDialog()">Neu</button>
  </div>
</div>
<ng-container *ngIf="entries && entries.length > 0; else noEntriesTemplate">
  <app-main-entry *ngFor="let measurementEntry of entries" [measurementDto]="measurementEntry"
                  (deleteEntry)="handleDeleteRequest($event)"
                  (finalizeEntry)="handleFinalizeRequest($event)"></app-main-entry>
</ng-container>
<ng-template #noEntriesTemplate>
  <div class="frame">
    <mat-grid-list cols="1" style="background-color: moccasin" gutterSize="10px" rowHeight="100px">
      <mat-grid-tile>Keine Messungen in der Datenbank vorhanden!</mat-grid-tile>
    </mat-grid-list>
  </div>
</ng-template>
